#ifndef MSP_GEOMETRY_SURFACEPOINT_H_
#define MSP_GEOMETRY_SURFACEPOINT_H_

#include <msp/linal/vector.h>

namespace Msp {
namespace Geometry {

/**
A point on the surface of a shape.
*/
template<typename T, unsigned N>
struct SurfacePoint
{
	LinAl::Vector<T, N> position;
	LinAl::Vector<T, N> normal;
	T distance;
};

} // namespace Geometry
} // namespace Msp

#endif
